Name:		smartcardpp
Version:	3.1.0
Release:	%mkrel 1
Summary:	A library for accessing smart cards

Group:		System/Libraries
License:	BSD
URL:		http://id.eesti.ee
# svn co https://svn.eesti.ee/projektid/idkaart_public/branches/3.4/smartcardpp smartcardpp-3.1.0 && tar cjf smartcardpp-3.1.0.tar.bz2 smartcardpp-3.1.0
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	pcsc-lite-devel

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%package	-n %{name}-devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pcsc-lite-devel

%description 	-n %{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use smart cards.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}/build


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/card-test
%doc COPYING

%files -n %{name}-devel
%defattr(-,root,root,-)
%{_includedir}/smartcardpp/
%{_libdir}/*.a




%changelog
* Fri Apr 22 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89793
- fix description of devel package
- imported package smartcardpp


* Fri Apr 22 2011 Sander Lepik <sander85@mandriva.org> 3.1.0-1.mga1
- new release from SK

* Wed Oct 13 2010 Sander Lepik <sander85@mandriva.org> 0.2.0-2mdv2011.0
+ Revision: 585505
- add missing provides
- fix make

* Sun Oct 10 2010 Sander Lepik <sander85@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 584862
- more fixes
- should be better this way
- libraries policy
- few fixes for spec
- import smartcardpp

* Sat Oct 09 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-1mdv2010.1
- New version 0.2.0

* Mon Sep 07 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-9mdv2010.1
- First build on new BS
- Spec file cleaned up

* Wed Apr 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-8mdv2010.1
- New build from Google Code repository

* Tue Mar 09 2010 Sander Lepik <sander.lepik@eesti.ee> - 7mdv2010.1
- Changeset 2637: kui pinpadi kasutada, siis nüüd sertifikaatide uuendamisel küsitakse PINi ilusti pinpadilt

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 6mdv2010.1
- new patch from Ahti Seier

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 5mdv2010.1
- new patch

* Thu Jan 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 4mdv2010.1
- Changeset 2404: reconnectWithT0 to public func

* Wed Dec 30 2009 Sander Lepik <sander.lepik@eesti.ee> - 3mdv2010.1
- SCError patch to fix Firefox crash

* Tue Dec 15 2009 Sander Lepik <sander.lepik@eesti.ee> - 2mdv2010.1
- Changeset 2305: added license text 'COPYING'

* Mon Dec 07 2009 Sander Lepik <sander.lepik@eesti.ee> - 1mdv2010.1
- Initial release for Mandriva

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2267
- Renamed to smartcardpp

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.1.svn2267
- Initial RPM release.

